arrangers: []
barcode: '4550753686045'
catalog: N/A
categories:
- Game
category: Game
classification: Original Soundtrack
composers: []
covers:
- full: https://media.vgm.io/albums/58/157785/157785-679cf826fe21.png
  medium: https://media.vgm.io/albums/58/157785/157785-679cf826fe21.png
  name: Front
  thumb: https://media.vgm.io/albums/58/157785/157785-679cf826fe21.png
discs:
- disc_length: '2:17'
  name: ''
  tracks:
  - names:
      English: Break The Speakers
    track_length: '2:17'
distributor: &id001
  link: org/1848
  names:
    en: TuneCore Japan
    ja: チューンコアジャパン株式会社
    ja-latn: TuneCore Japan
  role: distributor
link: album/157785
lyricists: []
media_format: Digital
meta:
  added_date: 2026-03-01T07:27
  edited_date: 2026-04-03T17:38
  fetched_date: 2026-06-06T23:38
  ttl: 86400
  visitors: 359
name: Break The Speakers / DJ Myosuke
names:
  en: Break The Speakers / DJ Myosuke
  ja: Break The Speakers / DJ Myosuke
  ja-latn: Break The Speakers / DJ Myosuke
notes: No notes available for this album.
organizations:
- &id002
  link: org/3576
  names:
    en: Japanese Stream Hardcore
    ja: Japanese Stream Hardcore
    ja-latn: Japanese Stream Hardcore
  role: publisher
- *id001
performers: []
picture_full: https://media.vgm.io/albums/58/157785/157785-679cf826fe21.png
picture_small: https://medium-media.vgm.io/albums/58/157785/157785-679cf826fe21.png
picture_thumb: https://thumb-media.vgm.io/albums/58/157785/157785-679cf826fe21.png
platforms:
- Arcade
products:
- link: release/40550
  names:
    en: maimai DX CiRCLE PLUS
    ja: maimai でらっくす CiRCLE PLUS
    ja-latn: maimai DX CiRCLE PLUS
publish_format: Commercial
publisher: *id002
related: []
release_date: '2026-03-02'
release_events: []
release_price:
  currency: JPY
  price: 255.0
reprints: []
stores:
- link: http://japanesestreamhardcore.bandcamp.com/track/break-the-speakers
  name: Bandcamp
- link: http://music.apple.com/jp/album/1879217349
  name: iTunes
- link: http://linkco.re/ACTM2ZFu
  name: LinkCore
- link: http://mora.jp/package/43000074/TCJPR0001666857/
  name: mora
- link: http://ototoy.jp/_/default/p/3497363
  name: OTOTOY
- link: http://www.youtube.com/watch?v=6RTLznn_I7k
  name: YouTube
vgmdb_link: https://vgmdb.net/album/157785?perpage=99999
votes: 0
